import Header from "@/Components/Header";
import React, { useEffect } from "react";
import Footer from "@/Components/Footer";
import InstagramFeeds from "@/Components/InstagramFeeds";
import { router, usePage, Link } from "@inertiajs/react";

export default function Gallery() {
    const { packages, auth } = usePage().props;
    useEffect(() => {}, []);

    return (
        <>
            <div>
                {/*========== HEADER STYLE ONE START ==========*/}
                <Header />
                {/*========== HEADER STYLE ONE END ==========*/}
                {/*========== HERO STYLE ONE START ==========*/}
                <>
                    {/*========== BREADCRUMB STYLE START ==========*/}
                    <div className="paralax-container lg:py-36 py-20 relative overflow-hidden">
                        <div
                            className="jarallax absolute inset-0 z-minus before:content-[''] before:absolute before:inset-0 before:bg-[#030610] before:bg-opacity-50 before:z-minus"
                            data-jarallax=""
                        >
                            <img
                                className="jarallax-img"
                                src="/assets/images/backgrounds/breadcrumb-bg.webp"
                                alt="placeholder"
                            />
                        </div>
                        <img
                            src="/assets/images/illustration/breadcrunb__shape.png"
                            alt="placeholder"
                            className="absolute bottom-0 left-0 z-1 lg:w-[12.5%] w-[20%]"
                        />
                        <img
                            src="/assets/images/illustration/bird-illustration-w.png"
                            alt="placeholder"
                            className="absolute top-[10%] right-[4%] z-1 w-[7.5%]"
                        />
                        <div className="container relative z-2">
                            <nav aria-label="breadcrumb">
                                <ol className="breadcrumb">
                                    <li>
                                        <a href="index.html">Home</a>
                                    </li>
                                    <li className="active_page">Gallary</li>
                                </ol>
                            </nav>
                            <h2 className="xl:text-[54px] mt-2 lg:text-4xl md:text-2xl text-[30px] text-white leading-[1.3] font-medium max-w-[640px]">
                                A Image and Video Gallery
                            </h2>
                        </div>
                    </div>
                    {/*========== BREADCRUMB STYLE END ==========*/}
                    {/*==========  US STYLE START ==========*/}
                    <div className="lg:pt-30 pt-24 relative z-1 bg-gradient-to-t to-[#FFF1EC] from-white">
                        <div className="absolute top-1/2 -translate-y-1/2 right-0 max-w-[14%] z-minus lg:inline-block hidden">
                            <img
                                src="/assets/images/illustration/tree-illustration.png"
                                alt="leaf"
                            />
                        </div>
                        <div className="absolute top-[5%] left-[1%] max-w-[9%] z-minus lg:inline-block hidden">
                            <img
                                src="/assets/images/illustration/bird-illustration.png"
                                alt="leaf"
                            />
                        </div>
                        <div className="absolute bottom-[10%] left-[2%] max-w-[13%] z-minus lg:inline-block hidden">
                            <img
                                src="/assets/images/illustration/leaf-illustration-2.png"
                                alt="leaf"
                            />
                        </div>
                        <div className="container">
                            <div className="text-center lg:pb-[60px] pb-[40px]">
                                <h5 className="section-sub-title-v1">
                                    Our Gallery
                                </h5>
                                <h2 className="section-title-v1">
                                    Our Image Gallery
                                </h2>
                            </div>
                            <div className="masonry-container">
                                <div className="masonry-item relative group overflow-hidden">
                                    <img
                                        src="/assets/images/gallary/g1.webp"
                                        alt="details"
                                        className="object-cover duration-200 group-hover:scale-[103%]"
                                    />
                                    <a
                                        href="/assets/images/gallary/g1.webp"
                                        data-fancybox="details"
                                        className="inset-0 absolute bg-dark-1 bg-opacity-30 opacity-0 top-0 left-0 flex duration-200 hover:opacity-100 justify-center items-center"
                                    >
                                        <div className="lg:h-10 lg:w-10 w-9 h-9 bg-primary-1 text-white rounded-full inline-flex justify-center items-center text-2md">
                                            <i className="bi bi-camera" />
                                        </div>
                                    </a>
                                </div>
                                <div className="masonry-item relative group overflow-hidden">
                                    <img
                                        src="/assets/images/gallary/g2.webp"
                                        alt="details"
                                        className="object-cover duration-200 group-hover:scale-[103%]"
                                    />
                                    <a
                                        href="/assets/images/gallary/g2.webp"
                                        data-fancybox="details"
                                        className="inset-0 absolute bg-dark-1 bg-opacity-30 opacity-0 top-0 left-0 flex duration-200 hover:opacity-100 justify-center items-center"
                                    >
                                        <div className="lg:h-10 lg:w-10 w-9 h-9 bg-primary-1 text-white rounded-full inline-flex justify-center items-center text-2md">
                                            <i className="bi bi-camera" />
                                        </div>
                                    </a>
                                </div>
                                <div className="masonry-item relative group overflow-hidden">
                                    <img
                                        src="/assets/images/gallary/g3.webp"
                                        alt="details"
                                        className="object-cover duration-200 group-hover:scale-[103%]"
                                    />
                                    <a
                                        href="/assets/images/gallary/g3.webp"
                                        data-fancybox="details"
                                        className="inset-0 absolute bg-dark-1 bg-opacity-30 opacity-0 top-0 left-0 flex duration-200 hover:opacity-100 justify-center items-center"
                                    >
                                        <div className="lg:h-10 lg:w-10 w-9 h-9 bg-primary-1 text-white rounded-full inline-flex justify-center items-center text-2md">
                                            <i className="bi bi-camera" />
                                        </div>
                                    </a>
                                </div>
                                <div className="masonry-item relative group overflow-hidden">
                                    <img
                                        src="/assets/images/gallary/g4.webp"
                                        alt="details"
                                        className="object-cover duration-200 group-hover:scale-[103%]"
                                    />
                                    <a
                                        href="/assets/images/gallary/g4.webp"
                                        data-fancybox="details"
                                        className="inset-0 absolute bg-dark-1 bg-opacity-30 opacity-0 top-0 left-0 flex duration-200 hover:opacity-100 justify-center items-center"
                                    >
                                        <div className="lg:h-10 lg:w-10 w-9 h-9 bg-primary-1 text-white rounded-full inline-flex justify-center items-center text-2md">
                                            <i className="bi bi-camera" />
                                        </div>
                                    </a>
                                </div>
                                <div className="masonry-item relative group overflow-hidden">
                                    <img
                                        src="/assets/images/gallary/g5.webp"
                                        alt="details"
                                        className="object-cover duration-200 group-hover:scale-[103%]"
                                    />
                                    <a
                                        href="/assets/images/gallary/g5.webp"
                                        data-fancybox="details"
                                        className="inset-0 absolute bg-dark-1 bg-opacity-30 opacity-0 top-0 left-0 flex duration-200 hover:opacity-100 justify-center items-center"
                                    >
                                        <div className="lg:h-10 lg:w-10 w-9 h-9 bg-primary-1 text-white rounded-full inline-flex justify-center items-center text-2md">
                                            <i className="bi bi-camera" />
                                        </div>
                                    </a>
                                </div>
                                <div className="masonry-item relative group overflow-hidden">
                                    <img
                                        src="/assets/images/gallary/g6.webp"
                                        alt="details"
                                        className="object-cover duration-200 group-hover:scale-[103%]"
                                    />
                                    <a
                                        href="/assets/images/gallary/g6.webp"
                                        data-fancybox="details"
                                        className="inset-0 absolute bg-dark-1 bg-opacity-30 opacity-0 top-0 left-0 flex duration-200 hover:opacity-100 justify-center items-center"
                                    >
                                        <div className="lg:h-10 lg:w-10 w-9 h-9 bg-primary-1 text-white rounded-full inline-flex justify-center items-center text-2md">
                                            <i className="bi bi-camera" />
                                        </div>
                                    </a>
                                </div>
                                <div className="masonry-item relative group overflow-hidden">
                                    <img
                                        src="/assets/images/gallary/g7.webp"
                                        alt="details"
                                        className="object-cover duration-200 group-hover:scale-[103%]"
                                    />
                                    <a
                                        href="/assets/images/gallary/g7.webp"
                                        data-fancybox="details"
                                        className="inset-0 absolute bg-dark-1 bg-opacity-30 opacity-0 top-0 left-0 flex duration-200 hover:opacity-100 justify-center items-center"
                                    >
                                        <div className="lg:h-10 lg:w-10 w-9 h-9 bg-primary-1 text-white rounded-full inline-flex justify-center items-center text-2md">
                                            <i className="bi bi-camera" />
                                        </div>
                                    </a>
                                </div>
                                <div className="masonry-item relative group overflow-hidden">
                                    <img
                                        src="/assets/images/gallary/g8.webp"
                                        alt="details"
                                        className="object-cover duration-200 group-hover:scale-[103%]"
                                    />
                                    <a
                                        href="/assets/images/gallary/g8.webp"
                                        data-fancybox="details"
                                        className="inset-0 absolute bg-dark-1 bg-opacity-30 opacity-0 top-0 left-0 flex duration-200 hover:opacity-100 justify-center items-center"
                                    >
                                        <div className="lg:h-10 lg:w-10 w-9 h-9 bg-primary-1 text-white rounded-full inline-flex justify-center items-center text-2md">
                                            <i className="bi bi-camera" />
                                        </div>
                                    </a>
                                </div>
                                <div className="masonry-item relative group overflow-hidden">
                                    <img
                                        src="/assets/images/gallary/g9.webp"
                                        alt="details"
                                        className="object-cover duration-200 group-hover:scale-[103%]"
                                    />
                                    <a
                                        href="/assets/images/gallary/g9.webp"
                                        data-fancybox="details"
                                        className="inset-0 absolute bg-dark-1 bg-opacity-30 opacity-0 top-0 left-0 flex duration-200 hover:opacity-100 justify-center items-center"
                                    >
                                        <div className="lg:h-10 lg:w-10 w-9 h-9 bg-primary-1 text-white rounded-full inline-flex justify-center items-center text-2md">
                                            <i className="bi bi-camera" />
                                        </div>
                                    </a>
                                </div>
                            </div>
                            <div className="lg:pt-[60px] pt-[40px] text-center">
                                <a
                                    href="package-details.html"
                                    className="btn_primary__v1"
                                >
                                    Load More
                                    <svg
                                        width={20}
                                        height={20}
                                        viewBox="0 0 20 20"
                                        fill="none"
                                        xmlns="http://www.w3.org/2000/svg"
                                    >
                                        <path
                                            d="M7.42505 16.5999L12.8584 11.1666C13.5 10.5249 13.5 9.4749 12.8584 8.83324L7.42505 3.3999"
                                            stroke="currentColor"
                                            strokeWidth="1.5"
                                            strokeMiterlimit={10}
                                            strokeLinecap="round"
                                            strokeLinejoin="round"
                                        />
                                    </svg>
                                </a>
                            </div>
                            <div className="lg:pt-30 pt-24">
                                <div className="text-center lg:pb-[60px] pb-[40px]">
                                    <h5 className="section-sub-title-v1">
                                        Recap Videos
                                    </h5>
                                    <h2 className="section-title-v1">
                                        Our Most Watched Video
                                    </h2>
                                </div>
                                <div className="grid grid-cols-6 gap-4">
                                    <div className="col-span-3">
                                        <div className="relative group overflow-hidden">
                                            <img
                                                src="/assets/images/gallary/v1.webp"
                                                alt="gallary"
                                                className="w-full object-cover duration-200 group-hover:scale-[103%]"
                                            />
                                            <a
                                                data-fancybox=""
                                                href="https://www.youtube.com/watch?v=vJoNqBZ9QlM"
                                                className="absolute inset-0 top-0 left-0 flex justify-center items-center"
                                            >
                                                <div className="lg:h-10 lg:w-10 w-9 h-9 bg-primary-1 text-white rounded-full inline-flex justify-center items-center text-2md">
                                                    <i className="bi bi-play" />
                                                </div>
                                            </a>
                                        </div>
                                    </div>
                                    <div className="col-span-3">
                                        <div className="relative group overflow-hidden">
                                            <img
                                                src="/assets/images/gallary/v2.webp"
                                                alt="gallary"
                                                className="w-full object-cover duration-200 group-hover:scale-[103%]"
                                            />
                                            <a
                                                data-fancybox=""
                                                href="https://www.youtube.com/watch?v=vJoNqBZ9QlM"
                                                className="absolute inset-0 top-0 left-0 flex justify-center items-center"
                                            >
                                                <div className="lg:h-10 lg:w-10 w-9 h-9 bg-primary-1 text-white rounded-full inline-flex justify-center items-center text-2md">
                                                    <i className="bi bi-play" />
                                                </div>
                                            </a>
                                        </div>
                                    </div>
                                    <div className="lg:col-span-2 col-span-3">
                                        <div className="relative group overflow-hidden">
                                            <img
                                                src="/assets/images/gallary/v3.webp"
                                                alt="gallary"
                                                className="w-full object-cover duration-200 group-hover:scale-[103%]"
                                            />
                                            <a
                                                data-fancybox=""
                                                href="https://www.youtube.com/watch?v=vJoNqBZ9QlM"
                                                className="absolute inset-0 top-0 left-0 flex justify-center items-center"
                                            >
                                                <div className="lg:h-10 lg:w-10 w-9 h-9 bg-primary-1 text-white rounded-full inline-flex justify-center items-center text-2md">
                                                    <i className="bi bi-play" />
                                                </div>
                                            </a>
                                        </div>
                                    </div>
                                    <div className="lg:col-span-2 col-span-3">
                                        <div className="relative group overflow-hidden">
                                            <img
                                                src="/assets/images/gallary/v4.webp"
                                                alt="gallary"
                                                className="w-full object-cover duration-200 group-hover:scale-[103%]"
                                            />
                                            <a
                                                data-fancybox=""
                                                href="https://www.youtube.com/watch?v=vJoNqBZ9QlM"
                                                className="absolute inset-0 top-0 left-0 flex justify-center items-center"
                                            >
                                                <div className="lg:h-10 lg:w-10 w-9 h-9 bg-primary-1 text-white rounded-full inline-flex justify-center items-center text-2md">
                                                    <i className="bi bi-play" />
                                                </div>
                                            </a>
                                        </div>
                                    </div>
                                    <div className="lg:col-span-2 col-span-3">
                                        <div className="relative group overflow-hidden">
                                            <img
                                                src="/assets/images/gallary/v5.webp"
                                                alt="gallary"
                                                className="w-full object-cover duration-200 group-hover:scale-[103%]"
                                            />
                                            <a
                                                data-fancybox=""
                                                href="https://www.youtube.com/watch?v=vJoNqBZ9QlM"
                                                className="absolute inset-0 top-0 left-0 flex justify-center items-center"
                                            >
                                                <div className="lg:h-10 lg:w-10 w-9 h-9 bg-primary-1 text-white rounded-full inline-flex justify-center items-center text-2md">
                                                    <i className="bi bi-play" />
                                                </div>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                                <div className="lg:pt-[60px] pt-[40px] text-center">
                                    <a
                                        href="package-details.html"
                                        className="btn_primary__v1"
                                    >
                                        Load More
                                        <svg
                                            width={20}
                                            height={20}
                                            viewBox="0 0 20 20"
                                            fill="none"
                                            xmlns="http://www.w3.org/2000/svg"
                                        >
                                            <path
                                                d="M7.42505 16.5999L12.8584 11.1666C13.5 10.5249 13.5 9.4749 12.8584 8.83324L7.42505 3.3999"
                                                stroke="currentColor"
                                                strokeWidth="1.5"
                                                strokeMiterlimit={10}
                                                strokeLinecap="round"
                                                strokeLinejoin="round"
                                            />
                                        </svg>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                    {/*========== CONTACT US STYLE END ==========*/}
                </>

                {/*========== INSTAGRAM FEED STYLE START ==========*/}
                {/* <InstagramFeeds /> */}
                {/*========== INSTAGRAM FEED STYLE END ==========*/}
                {/*========== FOOTER STYLE START ==========*/}
                <Footer />
                {/*========== FOOTER STYLE END ==========*/}
            </div>
        </>
    );
}
